/**
 * Дерево представляющее топологию.
 *
 * Тег дерева "st"
 *
 * В Trees оно добавлено в фабрику, и создается из нее.
 *
 * ВАЖНО! У этого дерева нет атрибутов. Поэтому получить атрибут невозможно.
 *
 * Однако у нод этого дерева, есть возможно получить статические денные Адрес модели и является ли она Контейнером
 *
 * @example
 * // Работа с деревом
 * // Доступ к менеджеру деревьев находится в переменной ps.pl.tm (провайдеры -> мастер платформа -> менеджер деревьев)
 * // доступ к конкретному дереву осуществляется по тагу дерева например ("st", "rmt", "uat")
 * // где st - дерево топологии, rmt - дерево сборщиков данных, uat - дерево в котором хранится информация о
 * // данных пользователя
 *
 * var tree = null;
 * var node = null;
 *
 * ps.pl.tm.get(new v2.string("st")).then(function(ref){
 *     // ref - это ссылка на объект
 *     // метод value возвращает целевой объект. В данном случае дерево  {@type Trees.GlobalTree}
 *     tree = ref.value();
 *     return tree.get(v2.integer.from_number(0))
 * }, function(err){
 *     // в случае неудачи придет ошибка.
 *     // обычно в ошибке содержится три переменные err - код ошибки, message - краткое описание, sub - если к этому
 *     // привела другая ошибка внутри системы.
 * }).then(function(ref){
 *     // Вот мы и получили ноду.
 *     node = ref.value();
 * }, function(err){
 *     // Отобразим ошибку
 *     console.warn(err);
 * })
 *
 *
 * @group manager
 * @class SchemeTree
 * @extends Trees.GlobalTree
 * @memberof Trees
 */
function SchemeTree() {

}